> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Time Off Policy



## OpenAPI

````yaml get /unified/hris/time_off_policies/{id}
openapi: 3.1.0
info:
  title: HRIS
  description: The documentation for the StackOne Unified API - HRIS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Benefits
    description: Employee benefits and entitlements.
  - name: Companies
    description: Organizations or legal entities.
  - name: Custom Field Definitions
    description: Definitions for custom fields.
  - name: Documents
    description: Employee related documents.
  - name: Employees
    description: People employed by the company.
  - name: Employments
    description: Details of an employee's employment.
  - name: Groups
    description: Organizational groups or teams.
  - name: Jobs
    description: Job positions or roles.
  - name: Locations
    description: Physical or virtual work locations.
  - name: Positions
    description: Job positions available for hiring.
  - name: Shifts
    description: Employee work shifts and schedules.
  - name: Skills
    description: Skills and competencies tracked for employees.
  - name: Tasks
    description: Tasks or assignments for employees.
  - name: Time Entries
    description: Records of hours worked or activities performed.
  - name: Time Off
    description: Employee leave and time off records.
  - name: Time Off Balances
    description: Available leave balances for employees.
  - name: Time Off Policies
    description: Rules and policies for employee leave.
  - name: Training
    description: Training records for employees.
  - name: Training Content
    description: Training content for employees.
  - name: Work Eligibility
    description: Eligibility status for employment.
paths:
  /unified/hris/time_off_policies/{id}:
    get:
      tags:
        - Time Off Policies
      summary: Get Time Off Policy
      operationId: hris_get_time_off_policy
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,name,description,type,duration_unit,reasons,updated_at,created_at,unified_custom_fields
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: The time off policy with the given identifier was retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeOffPolicyResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    TimeOffPolicyResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TimeOffPolicies'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TimeOffPolicies:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of this policy
          example: Holidays
          nullable: true
        description:
          type: string
          description: The description of this policy
          example: Usable for regional and national holidays of employees.
          nullable: true
        type:
          description: The type of this policy
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TimeOffPolicyTypeEnum'
        duration_unit:
          description: The duration unit of the current policy
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TimeOffBalanceUnitEnum'
        reasons:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/Reason'
        created_at:
          type: string
          description: The created_at date of this policy
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date of this policy
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    TimeOffPolicyTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - sick
            - unmapped_value
            - vacation
            - long_term_disability
            - short_term_disability
            - absent
            - comp_time
            - training
            - annual_leave
            - leave_of_absence
            - break
            - child_care_leave
            - maternity_leave
            - jury_duty
            - sabbatical
            - accident
            - paid
            - unpaid
            - holiday
            - personal
            - in_lieu
            - bereavement
            - other
            - null
          description: >-
            The unified value for the type of the time off policy. If the
            provider does not specify this unit, the value will be set to
            unmapped_value
          example: holiday
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    TimeOffBalanceUnitEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - minutes
            - hours
            - days
            - weeks
            - months
            - years
            - unknown
            - unmapped_value
            - null
          description: >-
            The unified value for the duration unit. If the provider does not
            specify this unit, the value will be set to unknown
          example: hours
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Reason:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````